#include <iostream>
#include <string>
using namespace std;
string f(string a,string b,int i,string x,string y)
        {
            if(a==b)return x;
            if(i<a.length() && i<b.length())
            {
                if(a[i]>b[i]) return x;
                else if(a[i]<b[i]) return y;
                return f(a,b,i+1,x,y);
            }
            if(i==a.length()) return f(a,b.substr(i),0,x,y);
            return f(a.substr(i),b,0,x,y);
        }
int main()
{
    string a;
    string b;
    string c;
    cin>>a;
    cin>>b;
    cin>>c;
    string ab=f(a,b,0,a,b);
    string ac=f(a,c,0,a,c);
    string bc=f(b,c,0,b,c);
    string final="";
    if(ab==a){
        if(ac==c)
         {
          final=c+a+b;
         }
        else
         {
          if(bc==c)
            final=a+c+b;
          else 
            final=a+b+c;
         }
        }
        else
        {
         if(bc==c)
          {
            final=c+b+a;
          }
         else
          {
            if(ac==c)
              final=b+c+a;
            else final=b+a+c;
          }
          cout<<final;
        }
}